Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Reverse_StringIterator Class Reference

A const non-random access iterator that iterates over a String in the reverse direction. More...

`#include <inti/utf-string.h>`

Inheritance diagram for Inti::Reverse_StringIterator:

List of all members.

## Public Member Functions

Construcors

- Reverse_StringIterator ()
    Default constructor.
- Reverse_StringIterator (const char *pos)
    Construct a new iterator that points to pos.
- Reverse_StringIterator (const Reverse_StringIterator &src)
    Copy constructor.
- Reverse_StringIterator & operator= (const Reverse_StringIterator &src)
    Assignment operator.

Iterate in the forward direction

- Reverse_StringIterator & operator++ ()
    Prefix increment operator.
- Reverse_StringIterator operator++ (int)
    Postfix increment operator.

Iterate in the reverse direction

- Reverse_StringIterator & operator-- ()
    Prefix decrement operator.
- Reverse_StringIterator operator-- (int)
    Postfix decrement operator.

## Detailed Description

A const non-random access iterator that iterates over a String in the reverse direction.

## Constructor & Destructor Documentation

Inti::Reverse_StringIterator::Reverse_StringIterator | ( | const char * | pos | ) |

Construct a new iterator that points to pos.

Parameters:

  pos | The first byte of the UTF-8 character the new iterator is to points to.

Inti::Reverse_StringIterator::Reverse_StringIterator | ( | const Reverse_StringIterator & | src | ) |

Copy constructor.

Parameters:

  src | The Reverse_StringIterator instance to copy.

## Member Function Documentation

Reverse_StringIterator Inti::Reverse_StringIterator::operator++ | ( | int |  | ) |

| Postfix increment operator. Moves the iterator so that it points to the next UTF-8 character.

Reverse_StringIterator& Inti::Reverse_StringIterator::operator++ | ( |  | ) |

| Prefix increment operator. Moves the iterator so that it points to the next UTF-8 character.

Reverse_StringIterator Inti::Reverse_StringIterator::operator-- | ( | int |  | ) |

| Postfix decrement operator. Moves the iterator so that it points to the previous UTF-8 character.

Reverse_StringIterator& Inti::Reverse_StringIterator::operator-- | ( |  | ) |

| Prefix decrement operator. Moves the iterator so that it points to the previous UTF-8 character.

Reverse_StringIterator& Inti::Reverse_StringIterator::operator= | ( | const Reverse_StringIterator & | src | ) |

Assignment operator.

Parameters:

  src | The Reverse_StringIterator whose value is to be copied and assigned to this iterator.

The documentation for this class was generated from the following file:

- utf-string.h

Main Page - Footer